package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalUpdateMeetingInfoLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalUpdateMeetingInfoLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalUpdateMeetingInfoLogic {
	return &SignalUpdateMeetingInfoLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SignalUpdateMeetingInfoLogic) SignalUpdateMeetingInfo(in *rtc.SignalUpdateMeetingInfoReq) (*rtc.SignalUpdateMeetingInfoResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalUpdateMeetingInfoResp{}, nil
}
